> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hightouch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Decision Engine Message

> Delete a message. The message is soft-deleted and disabled in the flow,
so it is no longer returned by the API and is ineligible for future sends.



## OpenAPI

````yaml https://api.hightouch.io/api/swagger.json delete /decision-engine/flow/{flowId}/messages/{messageId}
openapi: 3.0.0
info:
  title: Hightouch API
  version: 1.0.0
  description: Hightouch Public Rest API to access syncs, models, sources and destinations
  contact:
    name: Hightouch
    url: https://hightouch.com
servers:
  - url: https://api.hightouch.com/api/v1
security: []
paths:
  /decision-engine/flow/{flowId}/messages/{messageId}:
    delete:
      summary: Delete Decision Engine Message
      description: >-
        Delete a message. The message is soft-deleted and disabled in the flow,

        so it is no longer returned by the API and is ineligible for future
        sends.
      operationId: DeleteMessage
      parameters:
        - description: The UUID of the flow
          in: path
          name: flowId
          required: true
          schema:
            type: string
        - description: The UUID of the message
          in: path
          name: messageId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                anyOf:
                  - {}
                  - $ref: '#/components/schemas/DecisionEngineErrorResponse'
                  - $ref: '#/components/schemas/ValidateErrorJSON'
                  - $ref: '#/components/schemas/InternalServerError'
                nullable: true
        '204':
          description: No Content
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DecisionEngineErrorResponse'
        '500':
          description: Something went wrong
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/DecisionEngineErrorResponse'
                  - $ref: '#/components/schemas/InternalServerError'
      security:
        - bearerAuth: []
components:
  schemas:
    DecisionEngineErrorResponse:
      properties:
        message:
          type: string
          description: Why the request failed.
      required:
        - message
      type: object
      additionalProperties: false
    ValidateErrorJSON:
      properties:
        message:
          type: string
          enum:
            - Validation failed
          nullable: false
        details:
          properties: {}
          additionalProperties: {}
          type: object
      required:
        - message
        - details
      type: object
      additionalProperties: false
    InternalServerError:
      type: string
      enum:
        - Internal Server Error
      nullable: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Bearer

````